"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _deleteAll = _interopRequireDefault(require("../../utility/delete-all"));

var _generateTempSqlName = _interopRequireDefault(require("../../utility/generate-temp-sql-name"));

var _copyUtf8ToUtf16le = _interopRequireDefault(require("../../utility/copy-utf8-to-utf16le"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const copyInputScripts = async scripts => {
  // scripts is required
  if (!scripts) throw new Error('No sql scripts specified'); // normalize single string to set of scripts

  if (typeof scripts === 'string') {
    scripts = [scripts];
  } // generate list for from/to first - for cleanup in case of error


  const fromToList = scripts.map(from => ({
    from,
    to: (0, _generateTempSqlName.default)()
  })); // copy from utf8 to utf16le in temp location

  try {
    await Promise.all(fromToList.map(f => (0, _copyUtf8ToUtf16le.default)(f)));
  } catch (error) {
    // In case of error, clean up temporary file(s)
    await (0, _deleteAll.default)(fromToList.map(item => item.to));
    throw error;
  } // return copied list of files


  return fromToList;
};

var _default = copyInputScripts;
exports.default = _default;
module.exports = exports.default;