"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.__internal = void 0;

var _url = require("url");

var _errors = require("../errors");

var _parseSearchparams = _interopRequireDefault(require("./parse-searchparams"));

var _parseUrlbase = _interopRequireDefault(require("./parse-urlbase"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const parseUrl = connectionString => {
  try {
    return new _url.URL(connectionString);
  } catch (error) {
    throw (0, _errors.invalidConnectionString)({
      connectionString
    });
  }
};

const parseConnectionString = connectionString => {
  let csurl = parseUrl(connectionString);
  return { ...(0, _parseSearchparams.default)(csurl.searchParams),
    ...(0, _parseUrlbase.default)(csurl)
  };
};

const __internal = {
  parseUrl
};
exports.__internal = __internal;
var _default = parseConnectionString;
exports.default = _default;