"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _findSqlcmd = _interopRequireDefault(require("../find-sqlcmd"));

var _parseConnectionstring = _interopRequireDefault(require("../parse-connectionstring"));

var _handleDockerOptions = _interopRequireDefault(require("./handle-docker-options"));

var _errors = require("../errors");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const resolveOptions = async mssqlConnectionString => {
  // get sqlcmd command path
  let sqlcmd = await (0, _findSqlcmd.default)(); // parse querystring

  let options = (0, _parseConnectionstring.default)(mssqlConnectionString); // check for docker instance options - return them if found

  const dockerOptions = await (0, _handleDockerOptions.default)(sqlcmd, options);
  if (dockerOptions) return dockerOptions; // no sqlcmd, nothing to run, throw

  if (!sqlcmd) {
    throw _errors.SQLCMD_NOT_FOUND_ERROR;
  } // port only set if protocol is explicitely tcp, set default port if unset


  const port = options.protocol === 'tcp' ? options.port || null : null; // normalize return values

  return {
    sqlcmd,
    ...options,
    port
  };
};

var _default = resolveOptions;
exports.default = _default;
module.exports = exports.default;